Mengapa saya mendapatkan "jalur pengembang aktif tidak valid" ketika mencoba menggunakan Git setelah memutakhirkan ke macOS Catalina?


Setelah memutakhirkan ke macOS Catalina, saya mencoba menjalankan gitdari Terminal tetapi terus memberi saya kesalahan berikut:

xcrun: error: invalid active developer path (/Library/Developer/CommandLineTools), missing xcrun at: /Library/Developer/CommandLineTools/usr/bin/xcrun.

Bagaimana saya memperbaikinya?


34
Masalah yang sama terjadi pada OSX Mojave juga. Saya pikir masalah yang sama persis pada setiap peningkatan versi. xcode-select --installbekerja di Mojave. Tidak diperlukan langkah-langkah tambahan.
Mrinal Saurabh

@MrinalSaurabh sepertinya begitu.
Housemd

12
Saya menjalankan perintah xcode-select --install, dan saya menerima perjanjian lisensi, tetapi kemudian sistem memunculkan dialog pesan yang mengatakan "Tidak dapat menginstal perangkat lunak karena saat ini tidak tersedia dari server Pembaruan Perangkat Lunak". Jadi git saya masih tidak berfungsi (masalahnya dimulai setelah ditingkatkan ke Mojave dan
XCode

6
@ LNloq Saya mendapat pesan yang sama dan memperbaikinya dengan mengunduh alat-alat Baris Perintah secara manual. Info lebih lanjut: ics.uci.edu/~pattis/common/handouts/macmingweclipse/…
K.Rijpstra

1
Terjadi lagi dengan Catalina. Mengapa upgrade sistem menghapus alat dev ??!?
Absmith

Jawaban:


Buka Terminal, dan jalankan yang berikut ini:

xcode-select --install

Ini akan mengunduh dan menginstal alat pengembang xcode dan memperbaiki masalahnya.

Anda tidak perlu Xcode, Anda hanya dapat menginstal Command Line Tools di sini, yaitu sekitar 130MB.

Masalahnya adalah bahwa seseorang perlu secara eksplisit menyetujui perjanjian lisensi. Sebagai langkah tindak lanjut, Anda mungkin perlu mengatur ulang jalur ke Xcode jika Anda memiliki beberapa versi atau ingin alat baris perintah dijalankan tanpa Xcode.

xcode-select --switch /Applications/Xcode.app
xcode-select --switch /Library/Developer/CommandLineTools

Saya menemukan solusi dalam pertanyaan ini, Alat Baris Perintah tidak berfungsi .

Anda mungkin mendapatkan pesan kesalahan: "Tidak dapat menginstal perangkat lunak karena saat ini tidak tersedia dari server Pembaruan Perangkat Lunak". Dalam hal ini xcode-select --resetberfungsi seperti yang ditunjukkan oleh akozin .


202
Solusi ini tidak membantu saya. Saya mencoba xcode-select --resetdan itu membantu!
akozin

44
membantu saya setelah memutakhirkan ke macOS High Sierra dan mencoba menjalankangit status
Felix Geenen

14
Juga pertimbangkan brew updatejika Anda telah menginstalnya.
Mausy5043

13
Baru saja memecahkan masalah yang sama ketika saya memutakhirkan dari Sierra ke High Sierra. Saya pertama kali mencoba --resettetapi itu tidak ada bedanya. --installdipecahkan!
iaforek

41
Masih berlaku untuk macOS Mojave! Saya pikir setiap tahun saya kembali ke posting ini.
Eric Majerus

Jika Anda tidak ingin menginstal atau menggunakan Xcode (saya tidak), Anda hanya dapat menginstal alat perintah untuk Xcode (lihat Edit)

Prasyarat:

  • Anda memiliki AppleID

Larutan

Buka https://developer.apple.com/download/more/ dan temukan alat baris perintah OS X 10.11) untuk Xcode 7.1 . Kemudian instal paket .dmg yang diunduh.

Versi yang lebih baru

Ini harus bekerja dengan versi terbaru dari alat baris perintah OS X namun saya mengujinya Alat baris perintah OS X 10.11) untuk Xcode 7.1 versi tertentu.

Perbarui ke macOS 10.13

Setelah memperbarui lakukan macOS 10.13, saya harus menginstal Command Line Tools (macOS 10.13) for Xcode 9- juga berfungsi dengan baik.


Sunting

Seperti @setholopolus disebutkan dalam komentar,

xcode-select --install

Juga menginstal hanya alat-alat baris perintah untuk Xcode.

Anda juga dapat memverifikasi ini di: http://osxdaily.com/2014/02/12/install-command-line-tools-mac-os-x/

Saya meninggalkan jawaban saya jika Anda memiliki masalah dengan instalasi via cli.


PS memuji jawaban SO ini: https://stackoverflow.com/a/33593066/2029818


2
Anda harus masuk dengan ID Apple Anda untuk menyelesaikan unduhan.
james.garriss

Iya. Tapi bagi saya bukan itu masalahnya. Masalahnya adalah saya tidak ingin menginstal Xcode lengkap. Saya akan memperbarui jawabannya dengan info ini
michalczukm

2
@ michalczukm Saya menggunakan macOS 10.12.5 dan menginstal versi terbaru (saya pikir itu adalah CLT untuk macOS 10.12 untuk Xcode 8.3) dan bekerja dengan baik. Masalah terpecahkan, terima kasih.
Mark Simpson

2
Menjalankan xcode-select --install, seperti yang dinyatakan oleh jawaban lainnya, tidak menginstal Xcode, hanya alat baris perintah.
setholopolus

4
Untuk macOS Mojave, xcode-select --installtidak berhasil untuk saya. Tetapi Sejak 30 Juli 2018, Anda bisa mendapatkan versi terbaru dari alat baris perintah untuk macOS 10.4 (Mojave) setelah Anda masuk ke Akun Pengembang Apple.
Agile Bean

Untuk macOS High Sierra , jalankan saja perintah yang sama:

xcode-select --install

dan semuanya akan kembali bekerja.

PEMBARUAN 2019: Ini diperlukan untuk setiap versi macOS baru, jadi itu akan bekerja untuk Catalina juga.


2
Bahkan ketika saya tidak memiliki Xcode?
Vitaly Zdanevich

5
@VitalyZdanevich yang menginstal xcode;)
minigeek

7
@VitalyZdanevich tidak menginstal xcode osxdaily.com/2014/02/12/install-command-line-tools-mac-os-x . Itu menginstal alat baris perintah tanpa xcode.
setholopolus

2
-1 Jawaban dari 2017 ini hanya menyatakan kembali apa yang dijelaskan dalam jawaban 2016 yang dijawab sendiri oleh poster aslinya.
JakeGould

Inilah langkah-langkah yang harus saya lalui untuk Mojave:

Pertama xcode-select --reset.

Selanjutnya saya perlu memperbarui alat xcode ke versi terbaru: sudo softwareupdate -ia --verbose(NB: ini menjalankan semua pembaruan yang tersedia dari app store, ada cara untuk menentukan bahwa Anda hanya ingin memperbarui satu aplikasi / program, tetapi saya tidak mengetahuinya bagian atas kepala saya).

Anda dapat mencoba perintah ini di lain waktu jika itu menunjukkan beberapa perilaku tidak konsisten selama percobaan pertama.

Akhirnya verifikasi bahwa itu berfungsi dengan menggunakan perintah git yang Anda pilih, mis git status.


1
ya, ini menyelesaikan masalah dari High Sierra ke Mojave. Tepat setelah itu, jalankansudo xcodebuild -license
user9869932

hal-hal lisensi adalah kuncinya
Hamlett

Saya mencoba xcode-select --installtetapi saya terpaksa menginstalnya dari App Store .

Lalu semua hal git berjalan dengan lancar.


Jawaban yang diterima benar, tetapi juga perhatikan bahwa git tidak membuatnya jelas jika kesalahan berasal dari jarak jauh atau dari lokal. Jika Anda menjalankan OS X pada kendali jarak jauh Anda, masalah pemasangan Anda mungkin berada di sisi jarak jauh dan Anda akan melihat kesalahan yang sama menyala git clonedan git pulltetapi TIDAK menyala git status.


Ya Tuhan betapa bodohnya aku saat ini ...
Olof_t

xcode-select --installdan xcode-select --resettidak bekerja untuk saya.

Saya harus mengunduhnya secara manual dari situs web Apple Developers: https://developer.apple.com/download/

Pilih baris Perintah OS Anda saat ini.

Tangkapan layar untuk tautan


Harus melakukan ini untuk Xcode 11b2, yang diduga menginstal alat baris perintah dan masih mengalami kesalahan ini. Menginstal ulang alat baris perintah berfungsi.
green_knight
Dengan menggunakan situs kami, Anda mengakui telah membaca dan memahami Kebijakan Cookie dan Kebijakan Privasi kami.
Licensed under cc by-sa 3.0 with attribution required.